program test_detection_stats

  use detection_stats
  use errorhandling

!  call test_chi2Prob
!
!contains
!
!  subroutine test_chi2Prob
    real(single) :: chi2 = 2.706
    integer      :: idegFree = 1
    real(single) :: fdegFree = 1
    real(single) :: probability	! to receive
    integer      :: status	! to receive

    call chi2Prob(chi2, idegFree, probability, status)		! chi2ProbInteger
    if (status .ne. 0) then
      write(errstr, *) "Status = ", status
      call error("Chi2ProbIntegerStatus")
    ! else if (status .ne. 0) then
    else
      write(errstr, *) "Probability(Integer) = ", probability
      call error("Chi2ProbIntegerProb")
    end if

    call chi2ProbSingle(chi2, fdegFree, probability, status)	! chi2ProbSingle
    if (status .ne. 0) then
      write(errstr, *) "Status = ", status
      call error("Chi2ProbSingleStatus")
    else
      write(errstr, *) "Probability(Single) = ", probability
      call error("Chi2ProbSingleProb")
    end if
!  end subroutine test_chi2Prob

end program test_detection_stats
